Skip to main content
POST
ListJobPostings

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request for listing job postings

organizationId
string<uuid>

id of the organization for which the job posting is being created

paging
paging · object

describes how the client would like to have pagination

filterByAssigneeIds
string<uuid>[]

filter by who is assigned to the job posting

Maximum array length: 20
filterByEnabledLanguageIds
string<uuid>[]

filter by enabled languages

Maximum array length: 20
filterByStates
enum<string>[]

filter by states

Maximum array length: 20

state of a job posting

Available options:
JOB_POSTING_STATE_UNSPECIFIED,
JOB_POSTING_STATE_OPEN,
JOB_POSTING_STATE_CLOSED
filterByNoAssignees
boolean

filter allowed to get job postings without assigned members

filterByPipelineIds
string<uuid>[]

filter allowed to get job postings assigned to pipelines

Maximum array length: 20

Response

Success

response from listing job postings

items
Item · object[]

items of job posts.

paging
paging · object

paging information from the server.